---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libma08t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x3FFC, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4C4E8, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4E428, symBinAddr: 0xE118, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4E810, symBinAddr: 0xE500, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x4F7B0, symBinAddr: 0xF4A0, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x4F7B8, symBinAddr: 0xF4A8, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4C160, symBinAddr: 0xC098, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4C164, symBinAddr: 0xC09C, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4C168, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4C2B8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4C370, symBinAddr: 0xC160, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4C374, symBinAddr: 0xC164, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4C378, symBinAddr: 0xC168, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4C37C, symBinAddr: 0xC16C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4C380, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4C388, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4C398, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4C3A0, symBinAddr: 0xC190, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4C3A8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4C3B0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4C3B8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4C3C0, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x4C408, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x94B2, offset: 0x94B2, size: 0x8, addend: 0x0, symName: __ZL13threadForStop, symObjAddr: 0x4C448, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94CB, offset: 0x94CB, size: 0x8, addend: 0x0, symName: __ZL11threadDeath, symObjAddr: 0x4C450, symBinAddr: 0xC1C8, symSize: 0x0 }
  - { offsetInCU: 0x94E4, offset: 0x94E4, size: 0x8, addend: 0x0, symName: __ZL18threadForInterrupt, symObjAddr: 0x4C458, symBinAddr: 0xC1D0, symSize: 0x0 }
  - { offsetInCU: 0x9536, offset: 0x9536, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x2FC0, symSize: 0xA0 }
  - { offsetInCU: 0x95CB, offset: 0x95CB, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x2F98, symSize: 0x28 }
  - { offsetInCU: 0x962E, offset: 0x962E, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x2F18, symSize: 0x80 }
  - { offsetInCU: 0x98C2, offset: 0x98C2, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x3060, symSize: 0x34 }
  - { offsetInCU: 0x991C, offset: 0x991C, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x3094, symSize: 0x20C }
  - { offsetInCU: 0x9AD5, offset: 0x9AD5, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x32A0, symSize: 0x28 }
  - { offsetInCU: 0x9B9E, offset: 0x9B9E, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x32C8, symSize: 0xB0 }
  - { offsetInCU: 0x9C95, offset: 0x9C95, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3378, symSize: 0xD8 }
  - { offsetInCU: 0x9DE6, offset: 0x9DE6, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x3450, symSize: 0x24 }
  - { offsetInCU: 0x9F21, offset: 0x9F21, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3474, symSize: 0x168 }
  - { offsetInCU: 0xA0FD, offset: 0xA0FD, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x35DC, symSize: 0x104 }
  - { offsetInCU: 0xA3AE, offset: 0xA3AE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x36E0, symSize: 0x3F8 }
  - { offsetInCU: 0xA5D2, offset: 0xA5D2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x3AD8, symSize: 0x154 }
  - { offsetInCU: 0xA7B6, offset: 0xA7B6, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3C2C, symSize: 0xAC }
  - { offsetInCU: 0xA88B, offset: 0xA88B, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3CD8, symSize: 0x14 }
  - { offsetInCU: 0xA8C4, offset: 0xA8C4, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3CEC, symSize: 0x14 }
  - { offsetInCU: 0xA8FD, offset: 0xA8FD, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3D00, symSize: 0x14 }
  - { offsetInCU: 0xAADE, offset: 0xAADE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3D14, symSize: 0x1A8 }
  - { offsetInCU: 0xADE8, offset: 0xADE8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3EBC, symSize: 0x140 }
  - { offsetInCU: 0xAF89, offset: 0xAF89, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x426C, symSize: 0x1C0 }
  - { offsetInCU: 0xB266, offset: 0xB266, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x442C, symSize: 0x9C }
  - { offsetInCU: 0xB323, offset: 0xB323, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x44C8, symSize: 0x690 }
  - { offsetInCU: 0xBEB5, offset: 0xBEB5, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x95F0, symBinAddr: 0x6088, symSize: 0x30 }
  - { offsetInCU: 0xBF41, offset: 0xBF41, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4B58, symSize: 0x74 }
  - { offsetInCU: 0xC029, offset: 0xC029, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4BCC, symSize: 0xB0 }
  - { offsetInCU: 0xC134, offset: 0xC134, size: 0x8, addend: 0x0, symName: _nsk_jvmti_init_MA, symObjAddr: 0x4BA0, symBinAddr: 0x4C7C, symSize: 0x1E4 }
  - { offsetInCU: 0xC376, offset: 0xC376, size: 0x8, addend: 0x0, symName: __ZL16nativeMethodBindP9_jvmtiEnvP7JNIEnv_P8_jobjectP10_jmethodIDPvPS7_, symObjAddr: 0x4D84, symBinAddr: 0x4E60, symSize: 0x320 }
  - { offsetInCU: 0xC7EB, offset: 0xC7EB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x5180, symSize: 0x3C }
  - { offsetInCU: 0xC8E1, offset: 0xC8E1, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x51BC, symSize: 0x29C }
  - { offsetInCU: 0xCC24, offset: 0xCC24, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x5458, symSize: 0xD0 }
  - { offsetInCU: 0xCD52, offset: 0xCD52, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5528, symSize: 0xC }
  - { offsetInCU: 0xCE14, offset: 0xCE14, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5534, symSize: 0x22C }
  - { offsetInCU: 0xD0CF, offset: 0xD0CF, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5760, symSize: 0x4 }
  - { offsetInCU: 0xD113, offset: 0xD113, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x5760, symSize: 0x4 }
  - { offsetInCU: 0xD12C, offset: 0xD12C, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x5764, symSize: 0x284 }
  - { offsetInCU: 0xD408, offset: 0xD408, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F50, symBinAddr: 0x59E8, symSize: 0x4 }
  - { offsetInCU: 0xD44C, offset: 0xD44C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F50, symBinAddr: 0x59E8, symSize: 0x4 }
  - { offsetInCU: 0xD552, offset: 0xD552, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x8F54, symBinAddr: 0x59EC, symSize: 0x69C }
  - { offsetInCU: 0xDC43, offset: 0xDC43, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9620, symBinAddr: 0x60B8, symSize: 0x358 }
...
